package com.hp.user.utils;
import java.io.Serializable;

public class HttpResult implements Serializable{
    private int code; // 状态码
    private String message;
    private Object data;

    public HttpResult(){

    }

    public HttpResult(int code, String message, Object data){
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public static HttpResult success(){
        return new HttpResult(0, "操作成功", "");
    }

    public static HttpResult success(Object data){
        return new HttpResult(0, "操作成功", data);
    }

    public static HttpResult fail(){
        return new HttpResult(-1, "操作失败", "");
    }

    public static HttpResult fail(String message){
        return new HttpResult(-1, message, "");
    }

    public int getCode() {
        return code;
    }
    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getData() {
        return data;
    }
    public void setData(Object data) {
        this.data = data;
    }
}